TokenLab

Worlds

取得媒體資產

取得透過 TokenLab 準備的 World Labs 媒體資產

GET
/v1/worlds/media-assets/{id}

取得透過 TokenLab 準備的媒體資產中繼資料。存取權限限制為建立該資產的組織。

路徑參數

idstringpath必填

World Labs 媒體資產 ID。

回應

media_asset_idstring

World Labs 媒體資產 ID。

file_namestring

原始檔名,最多 64 個字元。

kindstring

媒體類型:image 或 video。

metadataobject | null

隨上游媒體資產保存的可選中繼資料物件。

請求

curl "https://api.tokenlab.sh/v1/worlds/media-assets/media_asset_123" \
  -H "Authorization: Bearer sk-your-api-key"
{  "created_at": "2019-08-24T14:15:22Z",  "file_name": "string",  "kind": "image",  "media_asset_id": "string",  "extension": "string",  "metadata": {},  "updated_at": "2019-08-24T14:15:22Z"}

授權

BearerAuth
AuthorizationBearer <token>

API Key 驗證。請在 Dashboard > API > API Keys 建立或管理 API 金鑰。

位置: header

路徑參數

id*string

媒體資產 ID。

回應

application/json

application/json